package gov.va.med.esr.common.persistent.comms;

import java.util.Date;
import java.util.List;

import gov.va.med.esr.common.model.comms.HandbookBatchFileProcessStatistics;
import gov.va.med.fw.persistent.DAO;
import gov.va.med.fw.persistent.DAOException;


public interface HandbookBatchFileProcessStatisticsDAO extends DAO{
	 public List<Date> getHandbookBatchFileProcessDateList()throws DAOException;
	 public Date getHandbookBatchFileProcessMinJobStartDate(Date selectedDate) throws DAOException;
	 public Date getHandbookBatchFileProcessMaxJobEndDate(Date selectedDate) throws DAOException;
	 public HandbookBatchFileProcessStatistics getHandbookBatchFileProcessStatistics(Date selectedDate, Date minJobStartDate, Date maxJobEndDate) throws DAOException;
	 
}
